// placeholder script for initializing the item checklist.
// Should only be run by the global controller

randomize();

this_listlength = 0; // length of the item list (inventory shown on screen)
this_itemlist = 0; // actual array of inventory list
this_packlistindex = -1; // current position in the actual pack list (number of rounds)
this_packlist = 0; // actual array of pack list
this_guesslist = 0; // list of guesses by item list index
this_currentguess = -1; // current guess for the round
this_inventorylist = 0; // keyed, ordered list for display purposes

this_level = global.level; // fetch current level
this_inventorylength = 6 + (this_level div 3) + (this_level mod 2); // difficulty level
this_packlength = min(6 + (this_level div 4) + (this_level mod 3), this_inventorylength); // number of items to pack
this_soundfactor = this_level; // affects frequency and volume of sounds

for (var list_initialize_i = 0; list_initialize_i < this_inventorylength; list_initialize_i += 1) {
    list_initialize_tempitem = make_item();
    this_itemlist[list_initialize_i, 0] = codify(list_initialize_tempitem);
    this_itemlist[list_initialize_i, 1] = itemize(list_initialize_tempitem);
    this_itemlist[list_initialize_i, 2] = true; // indicates slot is filled
    this_itemlist[list_initialize_i, 3] = false; // indicates item has been checked off in list
    this_itemlist[list_initialize_i, 4] = false; // indicates item has been fetched
    this_listlength += 1;
}

list_initialize_tempgrid = ds_grid_create(2, this_listlength);
for (var i = 0; i < this_listlength; i++) {
    list_initialize_tempgrid[# 0, i] = this_itemlist[i, 0];
    list_initialize_tempgrid[# 1, i] = i;
}
ds_grid_sort(list_initialize_tempgrid, 0, true);

for (var i = 0; i < this_listlength; i++) {
    this_inventorylist[i, 0] = list_initialize_tempgrid[# 0, i];
    this_inventorylist[i, 1] = list_initialize_tempgrid[# 1, i];
}
ds_grid_destroy(this_inventorylist);

list_initialize_templist = ds_list_create();
for (var i = 0; i < this_listlength; i++) list_initialize_templist[| i] = i;

ds_list_shuffle(list_initialize_templist);
for (i = 0; i < this_listlength; i++) this_packlist[i] = list_initialize_templist[| i];

ds_list_destroy(list_initialize_templist);


